SKB_INSERT(9)

NAME
skb_insert - insert a buffer

SYNOPSIS

void skb_insert (struct sk_buff * old, struct sk_buff * newsk, struct sk_buff_head * list);

ARGUMENTS

old buffer to insert before

newsk
    buffer to insert

list
    list to use

DESCRIPTION

Place a packet before a given packet in a list. The list locks are taken and this function is atomic with respect to other list locked calls.

A buffer cannot be placed on two lists at the same time.